<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_19d1237a619f7b35ad6dbebf025f17" . "c8" => base64_decode("c3Ry" . "Y21w"), "_72f158add48659f67a" . "9df82de6646312" => base64_decode("c3lzdGVtX2NhY" . "2hlX2NsZWFyZW" . "Q="), "_644b798b19dd133ec9211fb916df0" . "32b" => base64_decode("ZmlsZV9nZXRfY29udG" . "VudHM="), "_927fa79e65e272737" . "620f5a863f058ae" => base64_decode("L2NhY2hlX2NsZWFyZWQ" . "uZGF0"), "_ca831b25ce" . "7fffea9cf44" . "1f762c7d154" => base64_decode("ZmlsZV9leGl" . "zdHM="), "_8a36a84baeffc00856" . "72f9bf9c064f67" => base64_decode("ZmlsZV9wdXRf" . "Y29udGVudHM="), "_5e9a99dc0dd49b907a" . "bf1b35e96965f8" => base64_decode("dH" . "Jp" . "bQ" . "=="), "_2d885755f" . "5913deb2b5" . "a483bd6761" . "1d1" => base64_decode("Y2ZnX2xvY2Fs" . "X2RhdGFfZGly"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\DAL\Interfaces\DbInterface;
use DBVar;
class CacheTimeCheck
{
    
    
    
    
    private $cache_cleared_file;
    
    
    
    
    private $cache_clearer;
    public function __construct(Config $config, CacheClearer $_2f905e47e14e38521e4b5cdebdd7a108)
    {
        $this->cache_cleared_file = $config->get($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2d885755f5913" . "deb2b5a483bd67" . "611d1"]) . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_927fa79e6" . "5e27273762" . "0f5a863f05" . "8ae"];
        $this->cache_clearer = $_2f905e47e14e38521e4b5cdebdd7a108;
    }
    public function ClearLocalCacheIfNeeded()
    {
        $_d531d220dbc6dcb35b78aff26b7f0278 = true;
        $_0a9dc3339bf8c0f28851462350e00fb4 = (string) DBVar::Get($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_72f158add48659f67a9df82de664" . "6312"], false);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_ca831b25ce7fffea9cf441f" . "762c7d154"]($this->cache_cleared_file)) {
            $_52da7741c64702dba0065a6ffc0b23da = (string) $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5e9a99d" . "c0dd49b9" . "07abf1b3" . "5e96965f" . "8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_644b798b1" . "9dd133ec92" . "11fb916df0" . "32b"]($this->cache_cleared_file));
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_19d1237a619f7b35ad6dbebf025f17c" . "8"]($_52da7741c64702dba0065a6ffc0b23da, $_0a9dc3339bf8c0f28851462350e00fb4) >= 0) {
                $_d531d220dbc6dcb35b78aff26b7f0278 = false;
            }
        }
        if ($_d531d220dbc6dcb35b78aff26b7f0278) {
            $this->ClearLocalCache();
        }
    }
    public function ClearLocalCache()
    {
        $this->cache_clearer->Reset();
        $this->UpdateLocalTimestamp();
    }
    public function ClearAllCache()
    {
        $this->cache_clearer->Reset();
        $this->cache_clearer->ResetShared();
        $this->UpdateLocalTimestamp();
    }
    protected function UpdateLocalTimestamp()
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8a36a84baeffc0085672" . "f9bf9c064f67"]($this->cache_cleared_file, $_d230962d9a57dc6ba2b774d9ba3bb81e);
    }
    public function UpdateSharedTimestamp(DbInterface $db)
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $db->DisableTokenCheck();
        DBVar::Set($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_72f158add48659f67a9df82de664631" . "2"], $_d230962d9a57dc6ba2b774d9ba3bb81e);
        $db->EnableTokenCheck();
    }
}